Page MenuHomePhabricator

Special:Nearby replaces the list with text "Loading..." when an item is mid-clicked on desktop (= open in a new tab)
Closed, ResolvedPublic

Description

Visit Special:Nearby in the Vector skin with MobileFrontend installed.
Open any article link in a new tab.
Observed: Text is replaced with "Loading.." message in the original window.
Expected: No change in UI

Original:

I'm not sure whether this is still a part of MobileFrontend...

Yes this is :)

Event Timeline

liangent created this task.Oct 1 2015, 5:09 PM
liangent raised the priority of this task from to Needs Triage.
liangent updated the task description. (Show Details)
liangent added a project: MobileFrontend.
liangent added a subscriber: liangent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 5:09 PM
Jdlrobson triaged this task as Normal priority.Oct 1 2015, 5:11 PM
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Nov 4 2015, 5:00 PM
Jdlrobson updated the task description. (Show Details)Dec 16 2015, 10:32 PM
Jdlrobson added a project: good first bug.
Jdlrobson set Security to None.
Jdlrobson added a project: Google-Code-In-2015.

I cannot reproduce this on https://en.m.wikipedia.org/wiki/Special:Nearby on desktop here as I get a list of results immediately. Does this still happen?

You need to click a link for it to be noticeable.

Sumit updated the task description. (Show Details)Dec 23 2015, 2:40 PM

To clarify, it appears to be re-running the nearby query. The text is replaced with "Loading..." but then fills with the search results again.

bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-63-Ellip… board.

Change 261373 had a related patch set uploaded (by Bmansurov):
Do not re-render nearby items on middle click

https://gerrit.wikimedia.org/r/261373

Change 261373 merged by jenkins-bot:
Do not re-render nearby items on middle click

https://gerrit.wikimedia.org/r/261373

Jdlrobson closed this task as Resolved.Dec 29 2015, 8:46 PM

Can't be 100% sure as mw.config.values.wgMFNearbyEndpoint is empty string on desktop but this works locally.